petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatCreateIS

Creates a "process" unassmembled matrix, it is assembled on each process but not across processes.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatCreateIS(MPI_Comm comm,PetscInt bs,PetscInt m,PetscInt n,PetscInt M,PetscInt N,ISLocalToGlobalMapping rmap,ISLocalToGlobalMapping cmap,Mat *A)

### Input Parameters

| comm | - MPI communicator that will share the matrix Many br
| bs | - block size of the matrix Many br
| m,n,M,N | - local and/or global sizes of the left and right vector used in matrix vector products Many br
| rmap | - local to global map for rows Many br
| cmap | - local to global map for cols Many br

### Output Parameter

A -the resulting matrix Many br

Many br

Notes: See MATIS for more details Many brm and n are NOT related to the size of the map, they are the size of the part of the vector owned Many brby that process. The sizes of rmap and cmap define the size of the local matrices. Many brIf either rmap or cmap are NULL, than the matrix is assumed to be square Many br

### See Also

MATIS, MatSetLocalToGlobalMapping()

Level:advanced
Location:src/mat/impls/is/matis.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages